vigra - RGBAccessor< T > Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| RGBAccessor< T > Class Template Reference Data Accessors | Accessors for RGBValue |

`#include <vigra/rgbvalue.hxx>`

Inheritance diagram for RGBAccessor< T >:

## Public Member Functions
template<class RGBIterator >
component_type const & | blue (RGBIterator const &rgb) const
template<class RGBIterator , class DIFFERENCE >
component_type const & | blue (RGBIterator const &rgb, DIFFERENCE d) const
template<class RGBIterator >
component_type const & | green (RGBIterator const &rgb) const
template<class RGBIterator , class DIFFERENCE >
component_type const & | green (RGBIterator const &rgb, DIFFERENCE d) const
template<class RGBIterator >
component_type const & | red (RGBIterator const &rgb) const
template<class RGBIterator , class DIFFERENCE >
component_type const & | red (RGBIterator const &rgb, DIFFERENCE diff) const
template<class V , class RGBIterator >
void | setBlue (V value, RGBIterator const &rgb) const
template<class V , class RGBIterator , class DIFFERENCE >
void | setBlue (V value, RGBIterator const &rgb, DIFFERENCE d) const
template<class V , class RGBIterator >
void | setGreen (V value, RGBIterator const &rgb) const
template<class V , class RGBIterator , class DIFFERENCE >
void | setGreen (V value, RGBIterator const &rgb, DIFFERENCE d) const
template<class V , class RGBIterator >
void | setRed (V value, RGBIterator const &rgb) const
template<class V , class RGBIterator , class DIFFERENCE >
void | setRed (V value, RGBIterator const &rgb, DIFFERENCE diff) const
Public Member Functions inherited from VectorAccessor< RGBVALUE >
component_type const & | getComponent (ITERATOR const &i, int idx) const
component_type const & | getComponent (ITERATOR const &i, OFFSET const &diff, int idx) const
void | setComponent (V const &value, ITERATOR const &i, int idx) const
void | setComponent (V const &value, ITERATOR const &i, OFFSET const &diff, int idx) const
Public Member Functions inherited from SequenceAccessor< RGBVALUE >
iterator | begin (ITERATOR const &i) const
iterator | begin (ITERATOR const &i, OFFSET const &diff) const
iterator | end (ITERATOR const &i) const
iterator | end (ITERATOR const &i, OFFSET const &diff) const
unsigned int | size (ITERATOR const &i) const
unsigned int | size (ITERATOR const &i, OFFSET const &diff) const
Public Member Functions inherited from StandardAccessor< RGBVALUE >
RGBVALUEconst & | operator() (ITERATOR const &i) const
RGBVALUEconst & | operator() (ITERATOR const &i, OFFSET const &diff) const
void | set (V const &value, ITERATOR const &i) const
void | set (V const &value, ITERATOR const &i, OFFSET const &diff) const

## Additional Inherited Members
Public Types inherited from VectorAccessor< RGBVALUE >
typedef RGBVALUE::value_type | component_type
typedef VectorElementAccessor < VectorAccessor< RGBVALUE > > | ElementAccessor
Public Types inherited from SequenceAccessor< RGBVALUE >
typedef RGBVALUE::value_type | component_type
Public Types inherited from StandardAccessor< RGBVALUE >
typedef RGBVALUE | value_type

## Detailed Description

### template<class T>
class vigra::RGBAccessor< T >

Encapsulate access to rgb values.

#include <vigra/rgbvalue.hxx>
Namespace: vigra

## Member Function Documentation

component_type const& red | ( | RGBIterator const & | rgb | ) | const

Get value of the red component

void setRed | ( | V | value,
|  | RGBIterator const & | rgb
| ) |  | const

Set value of the red component. The type `V` of the passed in `value` is automatically converted to `component_type`.

component_type const& red | ( | RGBIterator const & | rgb,
|  | DIFFERENCE | diff
| ) |  | const

Get value of the red component at an offset

void setRed | ( | V | value,
|  | RGBIterator const & | rgb,
|  | DIFFERENCE | diff
| ) |  | const

Set value of the red component at an offset. The type `V` of the passed in `value` is automatically converted to `component_type`.

component_type const& green | ( | RGBIterator const & | rgb | ) | const

Get value of the green component

void setGreen | ( | V | value,
|  | RGBIterator const & | rgb
| ) |  | const

Set value of the green component. The type `V` of the passed in `value` is automatically converted to `component_type`.

component_type const& green | ( | RGBIterator const & | rgb,
|  | DIFFERENCE | d
| ) |  | const

Get value of the green component at an offset

void setGreen | ( | V | value,
|  | RGBIterator const & | rgb,
|  | DIFFERENCE | d
| ) |  | const

Set value of the green component at an offset. The type `V` of the passed in `value` is automatically converted to `component_type`.

component_type const& blue | ( | RGBIterator const & | rgb | ) | const

Get value of the blue component

void setBlue | ( | V | value,
|  | RGBIterator const & | rgb
| ) |  | const

Set value of the blue component. The type `V` of the passed in `value` is automatically converted to `component_type`.

component_type const& blue | ( | RGBIterator const & | rgb,
|  | DIFFERENCE | d
| ) |  | const

Get value of the blue component at an offset

void setBlue | ( | V | value,
|  | RGBIterator const & | rgb,
|  | DIFFERENCE | d
| ) |  | const

Set value of the blue component at an offset. The type `V` of the passed in `value` is automatically converted to `component_type`.

The documentation for this class was generated from the following files:

- vigra/accessor.hxx
- vigra/rgbvalue.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0 (Thu Mar 17 2016)